#include "maschine.h"
#include <avr/io.h>

        maschine::maschine()              //Konstruktorlauf
        {

        }

        void maschine::fahren()
        {

            if (motorlauf == 1)
            {
                if (motorrichtung == 1)
                {
                    PORTC = PORTC | 16;         // PC4 / Pin 33 / IN1 = 1   : Steuerpins der H-Brücke
                    PORTC = PORTC & (255-32);   // PC5 / Pin 32 / IN2 = 0
                }
                else
                {
                    PORTC = PORTC | 32;         // PC4 / Pin 33 / IN1 = 0   : Steuerpins der H-Brücke
                    PORTC = PORTC & (255-16);   // PC5 / Pin 32 / IN2 = 1
                }
            }

            else
            {
                    PORTC = PORTC & (255-16);   // PC4 / Pin 33 / IN1 = 0   : Steuerpins der H-Brücke
                    PORTC = PORTC & (255-32);   // PC5 / Pin 32 / IN2 = 0
            }
            if (drehzahl < 10)
            {
                drehzahl = 0;
            }
            if (drehzahl > 100)
            {
                drehzahl = 100;
            }
            OCR2A = int(drehzahl * 2.55) ;  //0..100 normieren auf ppm-wert 0...255
            pwmsollwert = OCR2A;            //OCR2A liegt auf PB4, Pin 10 (OCR2B ist PH6, Pin 9)
        }


